
package es.ejie.frmk.infraestructura.logs.base;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * Wrapper de un hashmap para el manejo de propiedades del fichero de configuración
 * de logs.
 * 
 * @author Carlos Rodriguez
 * @version 1.0  fecha: 10-dic-03
 */
public class Q70ConfiguracionLog
{
	private Map hm = Collections.synchronizedMap(new HashMap());
	
	
	/**
	 * Añade una nueva propiedad a la colección
	 * @param property Nombre de la propiedad
	 * @param value    Valor de la propiedad
	 */
	public void setProperty(String property, String value)
	{
		hm.put(property,value);
	}
	
	
	/**
	 * Obtiene el valor de una propiedad
	 * @param propertyName Nombre de la propiedad
	 * @return el valor de la propiedad.
	 */
	public String getProperty(String propertyName)
	{
		return (String)hm.get(propertyName);
	}
	 
}